
#include "Perus.h"






void AIKA::Alusta()
{
    AikaViimeksi = SDL_GetTicks();
    KierroksiaKulunut = 0;
    KierrosAika = 0;
    KierrosAikaViime = SDL_GetTicks();
    Fps = 1;
};

void AIKA::Paivita()
{
    double KulunutAika = SDL_GetTicks() - AikaViimeksi;
    KierroksiaKulunut++;
    KierrosAika = SDL_GetTicks() - KierrosAikaViime;
    KierrosAikaViime = SDL_GetTicks();
    
    if(KulunutAika > 1000)
    {
        Fps = (double)( (double)KierroksiaKulunut/KulunutAika * 1000.0);
        AikaViimeksi = SDL_GetTicks();
        KierroksiaKulunut = 0;
    }
};

double AIKA::AnnaFPS(){ return Fps;}




